Altibase.jdbc.driver.util

## Class AltibaseDriverPropertyInfo

- java.lang.Object
- - java.sql.DriverPropertyInfo
  - - Altibase.jdbc.driver.util.AltibaseDriverPropertyInfo

    public class AltibaseDriverPropertyInfo
    extends java.sql.DriverPropertyInfo

### Field Summary

### Fields inherited from class java.sql.DriverPropertyInfo

`choices, description, name, required, value`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseDriverPropertyInfo(java.lang.String aName, boolean aValue, boolean aRequired, java.lang.String aDescription)`
`AltibaseDriverPropertyInfo(java.lang.String aName, int aValue, java.lang.String[] aChoices, boolean aRequired, java.lang.String aDescription)`
`AltibaseDriverPropertyInfo(java.lang.String aName, long aValue, java.lang.String[] aChoices, boolean aRequired, java.lang.String aDescription)`
`AltibaseDriverPropertyInfo(java.lang.String aName, java.lang.String aValue)`
`AltibaseDriverPropertyInfo(java.lang.String aName, java.lang.String aValue, java.lang.String[] aChoices, boolean aRequired, java.lang.String aDescription)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AltibaseDriverPropertyInfo

    public AltibaseDriverPropertyInfo(java.lang.String aName,
                                      java.lang.String aValue)

#### AltibaseDriverPropertyInfo

    public AltibaseDriverPropertyInfo(java.lang.String aName,
                                      java.lang.String aValue,
                                      java.lang.String[] aChoices,
                                      boolean aRequired,
                                      java.lang.String aDescription)

#### AltibaseDriverPropertyInfo

    public AltibaseDriverPropertyInfo(java.lang.String aName,
                                      int aValue,
                                      java.lang.String[] aChoices,
                                      boolean aRequired,
                                      java.lang.String aDescription)

#### AltibaseDriverPropertyInfo

    public AltibaseDriverPropertyInfo(java.lang.String aName,
                                      long aValue,
                                      java.lang.String[] aChoices,
                                      boolean aRequired,
                                      java.lang.String aDescription)

#### AltibaseDriverPropertyInfo

    public AltibaseDriverPropertyInfo(java.lang.String aName,
                                      boolean aValue,
                                      boolean aRequired,
                                      java.lang.String aDescription)